Bug 1779793 - Vsphere UPI 4.3 failiing with: Error applying plan: module.compute.data.ignition_config.ign[0]: data.ignition_config.ign.0: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'c' after top-level value
Summary: Vsphere UPI 4.3 failiing with: Error applying plan: module.compute.data.ignit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.2.z
Assignee: Joseph Callen
QA Contact: liujia
URL:
Whiteboard:
Depends On: 1779791
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-04 18:19 UTC by Joseph Callen
Modified: 2019-12-20 00:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1779791
Environment:
Last Closed: 2019-12-20 00:46:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2752 'None' closed Bug 1779793: vSphere UPI: set specific version of ignition provider 2020-07-12 16:29:45 UTC
Red Hat Product Errata RHBA-2019:4181 None None None 2019-12-20 00:46:58 UTC

Description Joseph Callen 2019-12-04 18:19:12 UTC
+++ This bug was initially created as a clone of Bug #1779791 +++

+++ This bug was initially created as a clone of Bug #1779740 +++

```
* module.compute.data.ignition_config.ign[0]: data.ignition_config.ign.0: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'c' after top-level value
* module.control_plane.data.ignition_config.ign[2]: data.ignition_config.ign.2: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'b' after top-level value
* module.control_plane.data.ignition_config.ign[1]: data.ignition_config.ign.1: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'b' in literal false (expecting 'a')
* module.bootstrap.data.ignition_config.ign: data.ignition_config.ign: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'b' after top-level value
* module.compute.data.ignition_config.ign[2]: data.ignition_config.ign.2: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'c' looking for beginning of value
* module.control_plane.data.ignition_config.ign[0]: data.ignition_config.ign.0: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'c' after top-level value
* module.compute.data.ignition_config.ign[1]: data.ignition_config.ign.1: No valid JSON found, make sure you're using .rendered and not .id: invalid character 'e' after top-level value
```

https://prow.svc.ci.openshift.org/log?job=release-openshift-ocp-installer-e2e-vsphere-upi-4.3&id=438
https://prow.svc.ci.openshift.org/log?job=release-openshift-ocp-installer-e2e-vsphere-upi-serial-4.3&id=439

--- Additional comment from Jonathan Lebon on 2019-12-04 15:51:53 UTC ---

Not sure if this is related to the other Vsphere UPI 4.3 failures we're seeing: https://bugzilla.redhat.com/show_bug.cgi?id=1752409. The failure mode is different, so I made it a different issue.

Comment 3 liujia 2019-12-11 07:19:00 UTC
Not an installer issue, update terraform script and run installation succeed.

Comment 5 errata-xmlrpc 2019-12-20 00:46:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4181


Note You need to log in before you can comment on or make changes to this bug.